package com.huatek.busi.service.transformer;

import com.huatek.busi.dto.HomeSearchDto;
import com.huatek.busi.vo.HomeActualVo;
import com.huatek.busi.vo.WindingTemperatureStatisticsVo;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;
import java.util.Map;

/**
 * 变压器绕组测温：021010、022002、023002、024007 Service
 *
 * @author anker_cheng
 * @date Jun 26, 2019 1:11:47 PM
 */
public interface TransformerWindingTemperatureService {

    WindingTemperatureStatisticsVo getListEquInfo(String cacMonitorTypeCode, LocalDate day, String sensorCode);
    List<Map<String,Object>> queryHistory(String sensorCode,LocalDateTime startTime,LocalDateTime endTime);

    HomeActualVo queryActual(HomeSearchDto param);

    List<HomeActualVo> queryActuals();
}
